[Pkg-remote-team] [xrdp] 04/04: remove xorg files

Dominik George natureshadow-guest at moszumanska.debian.org
Sat Nov 26 10:59:49 UTC 2016


This is an automated email from the git hooks/post-receive script.

natureshadow-guest pushed a commit to annotated tag v0.6.0
in repository xrdp.

commit 706a68192a9be962aca60c0fb228f016b3295c79
Author: Jay Sorg <jay.sorg at gmail.com>
Date:   Sat Aug 4 21:48:41 2012 -0700

    remove xorg files
---
 xorg/X11R7.6/buildx.sh           | 338 --------------------
 xorg/X11R7.6/libXext-1.2.0.patch |  13 -
 xorg/X11R7.6/x11_file_list.txt   | 100 ------
 xorg/readme.txt                  |   2 -
 xorg/tests/client.sh             |  13 -
 xorg/tests/server.sh             |  12 -
 xorg/tests/tcp_proxy/main.c      | 265 ---------------
 xorg/tests/xdemo/README.txt      |   3 -
 xorg/tests/xdemo/bmp_parser.c    | 204 ------------
 xorg/tests/xdemo/common.h        |  19 --
 xorg/tests/xdemo/xdemo.c         | 674 ---------------------------------------
 xorg/tests/xdemo/yosemite.bmp    | Bin 1843254 -> 0 bytes
 12 files changed, 1643 deletions(-)

diff --git a/xorg/X11R7.6/buildx.sh b/xorg/X11R7.6/buildx.sh
deleted file mode 100755
index deeae12..0000000
--- a/xorg/X11R7.6/buildx.sh
+++ /dev/null
@@ -1,338 +0,0 @@
-#!/bin/sh
-
-# build.sh: a script for building X11R7.6 X server for use with xrdp #
-# Copyright 2011-2012 Jay Sorg Jay.Sorg at gmail.com
-#
-# Authors
-#       Jay Sorg Jay.Sorg at gmail.com
-#       Laxmikant Rashinkar LK.Rashinkar at gmail.com
-# 
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-# 
-#       http://www.apache.org/licenses/LICENSE-2.0
-# 
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-# flex bison libxml2-dev intltool
-# xsltproc
-
-download_file()
-{
-    file=$1
-
-    cd downloads
-
-    echo "downloading file $file"
-    if [ "$file" = "pixman-0.15.20.tar.bz2" ]; then
-        wget -cq http://ftp.x.org/pub/individual/lib/$file
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "libdrm-2.4.26.tar.bz2" ]; then
-        wget -cq http://dri.freedesktop.org/libdrm/$file
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "MesaLib-7.10.3.tar.bz2" ]; then
-        wget -cq ftp://ftp.freedesktop.org/pub/mesa/7.10.3/$file
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "expat-2.0.1.tar.gz" ]; then
-        wget -cq http://surfnet.dl.sourceforge.net/project/expat/expat/2.0.1/expat-2.0.1.tar.gz
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "freetype-2.4.6.tar.bz2" ]; then
-        wget -cq http://download.savannah.gnu.org/releases/freetype/freetype-2.4.6.tar.bz2
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "xkeyboard-config-2.0.tar.bz2" ]; then
-        wget -cq http://www.x.org/releases/individual/data/xkeyboard-config/xkeyboard-config-2.0.tar.bz2
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "makedepend-1.0.3.tar.bz2" ]; then
-        wget -cq http://xorg.freedesktop.org/releases/individual/util/makedepend-1.0.3.tar.bz2
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "libxml2-sources-2.7.8.tar.gz" ]; then
-        wget -cq ftp://ftp.xmlsoft.org/libxml2/libxml2-sources-2.7.8.tar.gz
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "Python-2.5.tar.bz2" ]; then
-        wget -cq http://www.python.org/ftp/python/2.5/Python-2.5.tar.bz2
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "Python-2.7.tar.bz2" ]; then
-        wget -cq http://www.python.org/ftp/python/2.7/Python-2.7.tar.bz2
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "expat-2.0.1.tar.gz" ]; then
-        wget -cq http://server1.xrdp.org/xrdp/expat-2.0.1.tar.gz
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "cairo-1.8.8.tar.gz" ]; then
-        wget -cq http://server1.xrdp.org/xrdp/cairo-1.8.8.tar.gz
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "libpng-1.2.46.tar.gz" ]; then
-        wget -cq http://server1.xrdp.org/xrdp/libpng-1.2.46.tar.gz
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "intltool-0.41.1.tar.gz" ]; then
-        wget -cq http://launchpad.net/intltool/trunk/0.41.1/+download/intltool-0.41.1.tar.gz
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "libxslt-1.1.26.tar.gz" ]; then
-        wget -cq ftp://xmlsoft.org/libxslt/libxslt-1.1.26.tar.gz
-        status=$?
-        cd ..
-        return $status
-    elif [ "$file" = "fontconfig-2.8.0.tar.gz" ]; then
-        wget -cq http://server1.xrdp.org/xrdp/fontconfig-2.8.0.tar.gz
-        status=$?
-        cd ..
-        return $status
-    else
-        wget -cq $download_url/$file
-        status=$?
-        cd ..
-        return $status
-    fi
-}
-
-remove_modules()
-{
-    if [ -d cookies ]; then
-        rm cookies/*
-    fi
-
-    if [ ! -d build_dir ]; then
-        echo ""
-        echo "build_dir does not exist; nothing to delete"
-        echo ""
-        exit 0
-    fi
-
-    cd build_dir
-
-    while read line
-    do
-        mod_dir=`echo $line | cut -d':' -f2`
-        if [ -d $mod_dir ]; then
-            rm -rf $mod_dir
-        fi
-    done < ../$data_file
-
-    cd ..
-}
-
-make_it()
-{
-    mod_file=$1
-    mod_name=$2
-    mod_args=$3
-
-    count=`expr $count + 1`
-
-    # if a cookie with $mod_name exists...
-    if [ -e cookies/$mod_name ]; then
-        # ...package has already been built
-        return 0
-    fi
-
-    echo ""
-    echo "*** processing module $mod_name ($count of $num_modules) ***"
-    echo ""
-
-    # download file
-    download_file $mod_file
-    if [ $? -ne 0 ]; then
-        echo ""
-        echo "failed to download $mod_file - aborting build"
-        echo ""
-        exit 1
-    fi
-
-    cd build_dir
-
-    # if pkg has not yet been extracted, do so now
-    if [ ! -d $mod_name ]; then
-        echo $mod_file | grep -q tar.bz2
-        if [ $? -eq 0 ]; then
-            tar xjf ../downloads/$mod_file > /dev/null 2>&1
-        else
-            tar xzf ../downloads/$mod_file > /dev/null 2>&1
-        fi
-        if [ $? -ne 0 ]; then
-            echo "error extracting module $mod_name"
-            exit 1
-        fi
-    fi
-
-    # patch and configure module - we only need to do this once
-    cd $mod_name
-    # check for patches
-    if [ -e ../../$mod_name.patch ]; then
-      patch -p1 < ../../$mod_name.patch
-    fi
-    # now configure
-    ./configure --prefix=$PREFIX_DIR $mod_args
-    if [ $? -ne 0 ]; then
-        echo "configuration failed for module $mn"
-        exit 1
-    fi
-
-    # make module
-    make
-    if [ $? -ne 0 ]; then
-        echo ""
-        echo "make failed for module $mod_name"
-        echo ""
-        exit 1
-    fi
-
-    # install module
-    make install
-    if [ $? -ne 0 ]; then
-        echo ""
-        echo "make install failed for module $mod_name"
-        echo ""
-        exit 1
-    fi
-
-    # special case after installing python make this sym link
-    # so Mesa builds using this python version
-    case "$mod_name" in
-      *Python-2*)
-      ln -s python $PREFIX_DIR/bin/python2
-      ;;
-    esac
-
-    cd ../..
-    touch cookies/$mod_name
-    return 0
-}
-
-# this is where we store list of modules to be processed
-data_file=x11_file_list.txt
-
-# this is the default download location for most modules
-download_url=http://www.x.org/releases/X11R7.6/src/everything
-
-num_modules=`cat $data_file | wc -l`
-count=0
-
-##########################
-# program flow starts here
-##########################
-
-if [ $# -lt 1 ]; then
-    echo ""
-    echo "usage: build.sh <installation dir>"
-    echo "usage: build.sh <clean>"
-    echo "usage: build.sh default"
-    echo ""
-    exit 1
-fi
-
-# remove all modules
-if [ "$1" = "clean" ]; then
-    echo "removing source modules"
-    remove_modules
-    exit 0
-fi
-
-if [ "$1" = "default" ]; then
-    export PREFIX_DIR=$PWD/staging
-else
-    export PREFIX_DIR=$1
-fi
-
-if ! test -d $PREFIX_DIR; then
-    echo "dir does not exit, creating [$PREFIX_DIR]"
-    mkdir $PREFIX_DIR
-    if ! test $? -eq 0; then
-        echo "mkdir failed [$PREFIX_DIR]"
-        exit 0
-    fi
-fi
-
-echo "using $PREFIX_DIR"
-
-export PKG_CONFIG_PATH=$PREFIX_DIR/lib/pkgconfig:$PREFIX_DIR/share/pkgconfig
-export PATH=$PREFIX_DIR/bin:$PATH
-export LD_LIBRARY_PATH=$PREFIX_DIR/lib
-# really only needed for x84
-export CFLAGS=-fPIC
-
-# prefix dir must exist...
-if [ ! -d $PREFIX_DIR ]; then
-    mkdir -p $PREFIX_DIR
-    if [ $? -ne 0 ]; then
-        echo "$PREFIX_DIR does not exist; failed to create it - cannot continue"
-        exit 1
-    fi
-fi
-
-# ...and be writable
-if [ ! -w $PREFIX_DIR ]; then
-    echo "directory $PREFIX_DIR is not writable - cannot continue"
-    exit 1
-fi
-
-# create a downloads dir
-if [ ! -d downloads ]; then
-    mkdir downloads
-    if [ $? -ne 0 ]; then
-        echo "error creating downloads directory"
-        exit 1
-    fi
-fi
-
-# this is where we do the actual build
-if [ ! -d build_dir ]; then
-    mkdir build_dir
-    if [ $? -ne 0 ]; then
-        echo "error creating build_dir directory"
-        exit 1
-    fi
-fi
-
-# this is where we store cookie files
-if [ ! -d cookies ]; then
-    mkdir cookies
-    if [ $? -ne 0 ]; then
-        echo "error creating cookies directory"
-        exit 1
-    fi
-fi
-
-while read line
-do
-    mod_file=`echo $line | cut -d':' -f1`
-    mod_dir=`echo $line | cut -d':' -f2`
-    mod_args=`echo $line | cut -d':' -f3`
-    mod_args=`eval echo $mod_args`
-
-    make_it $mod_file $mod_dir "$mod_args"
-
-done < $data_file
-
-echo "All done"
diff --git a/xorg/X11R7.6/libXext-1.2.0.patch b/xorg/X11R7.6/libXext-1.2.0.patch
deleted file mode 100644
index 2ddc7ec..0000000
--- a/xorg/X11R7.6/libXext-1.2.0.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/src/Xge.c b/src/Xge.c
-index 7a583e5..2ea5d27 100644
---- a/src/Xge.c
-+++ b/src/Xge.c
-@@ -294,7 +294,7 @@ _xgeEventToWire(Display* dpy, XEvent* re, xEvent* event)
- /*
-  * Extensions need to register callbacks for their events.
-  */
--Bool
-+_X_HIDDEN Bool
- xgeExtRegister(Display* dpy, int offset, XExtensionHooks* callbacks)
- {
-     XGEExtNode* newExt;
diff --git a/xorg/X11R7.6/x11_file_list.txt b/xorg/X11R7.6/x11_file_list.txt
deleted file mode 100644
index 4385cce..0000000
--- a/xorg/X11R7.6/x11_file_list.txt
+++ /dev/null
@@ -1,100 +0,0 @@
-Python-2.7.tar.bz2                              :  Python-2.7                               :
-util-macros-1.11.0.tar.bz2                      :  util-macros-1.11.0                       :
-font-adobe-75dpi-1.0.3.tar.bz2                  :  font-adobe-75dpi-1.0.3                   : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-adobe-100dpi-1.0.3.tar.bz2                 :  font-adobe-100dpi-1.0.3                  : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-adobe-utopia-75dpi-1.0.4.tar.bz2           :  font-adobe-utopia-75dpi-1.0.4            : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-adobe-utopia-100dpi-1.0.4.tar.bz2          :  font-adobe-utopia-100dpi-1.0.4           : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-adobe-utopia-type1-1.0.4.tar.bz2           :  font-adobe-utopia-type1-1.0.4            : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-alias-1.0.3.tar.bz2                        :  font-alias-1.0.3                         : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-arabic-misc-1.0.3.tar.bz2                  :  font-arabic-misc-1.0.3                   : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-bh-75dpi-1.0.3.tar.bz2                     :  font-bh-75dpi-1.0.3                      : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-bh-100dpi-1.0.3.tar.bz2                    :  font-bh-100dpi-1.0.3                     : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-bh-lucidatypewriter-75dpi-1.0.3.tar.bz2    :  font-bh-lucidatypewriter-75dpi-1.0.3     : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-bh-lucidatypewriter-100dpi-1.0.3.tar.bz2   :  font-bh-lucidatypewriter-100dpi-1.0.3    : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-bh-ttf-1.0.3.tar.bz2                       :  font-bh-ttf-1.0.3                        : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-bh-type1-1.0.3.tar.bz2                     :  font-bh-type1-1.0.3                      : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-bitstream-75dpi-1.0.3.tar.bz2              :  font-bitstream-75dpi-1.0.3               : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-bitstream-100dpi-1.0.3.tar.bz2             :  font-bitstream-100dpi-1.0.3              : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-bitstream-type1-1.0.3.tar.bz2              :  font-bitstream-type1-1.0.3               : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-cronyx-cyrillic-1.0.3.tar.bz2              :  font-cronyx-cyrillic-1.0.3               : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-cursor-misc-1.0.3.tar.bz2                  :  font-cursor-misc-1.0.3                   : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-daewoo-misc-1.0.3.tar.bz2                  :  font-daewoo-misc-1.0.3                   : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-dec-misc-1.0.3.tar.bz2                     :  font-dec-misc-1.0.3                      : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-ibm-type1-1.0.3.tar.bz2                    :  font-ibm-type1-1.0.3                     : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-isas-misc-1.0.3.tar.bz2                    :  font-isas-misc-1.0.3                     : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-jis-misc-1.0.3.tar.bz2                     :  font-jis-misc-1.0.3                      : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-micro-misc-1.0.3.tar.bz2                   :  font-micro-misc-1.0.3                    : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-misc-cyrillic-1.0.3.tar.bz2                :  font-misc-cyrillic-1.0.3                 : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-misc-ethiopic-1.0.3.tar.bz2                :  font-misc-ethiopic-1.0.3                 : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-misc-meltho-1.0.3.tar.bz2                  :  font-misc-meltho-1.0.3                   : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-misc-misc-1.1.2.tar.bz2                    :  font-misc-misc-1.1.2                     : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-mutt-misc-1.0.3.tar.bz2                    :  font-mutt-misc-1.0.3                     : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-schumacher-misc-1.1.2.tar.bz2              :  font-schumacher-misc-1.1.2               : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-screen-cyrillic-1.0.4.tar.bz2              :  font-screen-cyrillic-1.0.4               : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-sony-misc-1.0.3.tar.bz2                    :  font-sony-misc-1.0.3                     : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-sun-misc-1.0.3.tar.bz2                     :  font-sun-misc-1.0.3                      : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-util-1.2.0.tar.bz2                         :  font-util-1.2.0                          : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-winitzki-cyrillic-1.0.3.tar.bz2            :  font-winitzki-cyrillic-1.0.3             : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-font-xfree86-type1-1.0.4.tar.bz2                :  font-xfree86-type1-1.0.4                 : --with-fontrootdir=$PREFIX_DIR/share/fonts/X11
-xf86driproto-2.1.0.tar.bz2                      :  xf86driproto-2.1.0                       :
-dri2proto-2.3.tar.bz2                           :  dri2proto-2.3                            :
-glproto-1.4.12.tar.bz2                          :  glproto-1.4.12                           :
-libpciaccess-0.12.0.tar.bz2                     :  libpciaccess-0.12.0                      :
-libpthread-stubs-0.3.tar.bz2                    :  libpthread-stubs-0.3                     :
-libdrm-2.4.26.tar.bz2                           :  libdrm-2.4.26                            :
-damageproto-1.2.1.tar.bz2                       :  damageproto-1.2.1                        :
-libXdamage-1.1.3.tar.bz2                        :  libXdamage-1.1.3                         :
-makedepend-1.0.3.tar.bz2                        :  makedepend-1.0.3                         :
-libxml2-sources-2.7.8.tar.gz                    :  libxml2-2.7.8                            :
-libpng-1.2.46.tar.gz                            :  libpng-1.2.46                            :
-pixman-0.15.20.tar.bz2                          :  pixman-0.15.20                           : --disable-gtk
-freetype-2.4.6.tar.bz2                          :  freetype-2.4.6                           :
-fontconfig-2.8.0.tar.gz                         :  fontconfig-2.8.0                         :
-cairo-1.8.8.tar.gz                              :  cairo-1.8.8                              :
-expat-2.0.1.tar.gz                              :  expat-2.0.1                              :
-xextproto-7.1.2.tar.bz2                         :  xextproto-7.1.2                          :
-xproto-7.0.20.tar.bz2                           :  xproto-7.0.20                            :
-xcb-proto-1.6.tar.bz2                           :  xcb-proto-1.6                            :
-libxcb-1.7.tar.bz2                              :  libxcb-1.7                               :
-libX11-1.4.0.tar.bz2                            :  libX11-1.4.0                             :
-libXext-1.2.0.tar.bz2                           :  libXext-1.2.0                            :
-libICE-1.0.7.tar.bz2                            :  libICE-1.0.7                             :
-libSM-1.2.0.tar.bz2                             :  libSM-1.2.0                              :
-libXt-1.0.9.tar.bz2                             :  libXt-1.0.9                              :
-MesaLib-7.10.3.tar.bz2                          :  Mesa-7.10.3                              : --with-expat=$PREFIX_DIR
-randrproto-1.3.2.tar.bz2                        :  randrproto-1.3.2                         :
-renderproto-0.11.1.tar.bz2                      :  renderproto-0.11.1                       :
-fixesproto-4.1.2.tar.bz2                        :  fixesproto-4.1.2                         :
-xcmiscproto-1.2.1.tar.bz2                       :  xcmiscproto-1.2.1                        :
-xtrans-1.2.6.tar.bz2                            :  xtrans-1.2.6                             :
-xf86vidmodeproto-2.3.tar.bz2                    :  xf86vidmodeproto-2.3                     :
-xf86bigfontproto-1.2.0.tar.bz2                  :  xf86bigfontproto-1.2.0                   :
-scrnsaverproto-1.2.1.tar.bz2                    :  scrnsaverproto-1.2.1                     :
-bigreqsproto-1.1.1.tar.bz2                      :  bigreqsproto-1.1.1                       :
-resourceproto-1.1.1.tar.bz2                     :  resourceproto-1.1.1                      :
-fontsproto-2.1.1.tar.bz2                        :  fontsproto-2.1.1                         :
-inputproto-2.0.1.tar.bz2                        :  inputproto-2.0.1                         :
-xf86dgaproto-2.1.tar.bz2                        :  xf86dgaproto-2.1                         :
-videoproto-2.3.1.tar.bz2                        :  videoproto-2.3.1                         :
-compositeproto-0.4.2.tar.bz2                    :  compositeproto-0.4.2                     :
-recordproto-1.14.1.tar.bz2                      :  recordproto-1.14.1                       :
-xineramaproto-1.2.tar.bz2                       :  xineramaproto-1.2                        :
-libXau-1.0.6.tar.bz2                            :  libXau-1.0.6                             :
-kbproto-1.0.5.tar.bz2                           :  kbproto-1.0.5                            :
-libXdmcp-1.1.0.tar.bz2                          :  libXdmcp-1.1.0                           :
-libxslt-1.1.26.tar.gz                           :  libxslt-1.1.26                           :
-libxkbfile-1.0.7.tar.bz2                        :  libxkbfile-1.0.7                         :
-libfontenc-1.1.0.tar.bz2                        :  libfontenc-1.1.0                         :
-libXfont-1.4.3.tar.bz2                          :  libXfont-1.4.3                           :
-libXmu-1.1.0.tar.bz2                            :  libXmu-1.1.0                             :
-libXxf86vm-1.1.1.tar.bz2                        :  libXxf86vm-1.1.1                         :
-libXpm-3.5.9.tar.bz2                            :  libXpm-3.5.9                             :
-libXaw-1.0.8.tar.bz2                            :  libXaw-1.0.8                             :
-mkfontdir-1.0.6.tar.bz2                         :  mkfontdir-1.0.6                          :
-xkbcomp-1.2.0.tar.bz2                           :  xkbcomp-1.2.0                            :
-xdriinfo-1.0.4.tar.bz2                          :  xdriinfo-1.0.4                           :
-xorg-server-1.9.3.tar.bz2                       :  xorg-server-1.9.3                        :
-applewmproto-1.4.1.tar.bz2                      :  applewmproto-1.4.1                       :
-bdftopcf-1.0.3.tar.bz2                          :  bdftopcf-1.0.3                           :
-intltool-0.41.1.tar.gz                          :  intltool-0.41.1                          :
-xkeyboard-config-2.0.tar.bz2                    :  xkeyboard-config-2.0                     :
diff --git a/xorg/readme.txt b/xorg/readme.txt
deleted file mode 100644
index 55f2b4f..0000000
--- a/xorg/readme.txt
+++ /dev/null
@@ -1,2 +0,0 @@
-
-xorg server readme
diff --git a/xorg/tests/client.sh b/xorg/tests/client.sh
deleted file mode 100755
index dc26456..0000000
--- a/xorg/tests/client.sh
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-
-xhost +
-
-if ! [ -d .nx ]
-then
-  mkdir .nx
-fi
-
-export LD_LIBRARY_PATH=$PWD
-
-./nxproxy -S nx/nx,session=session,id=jay,root=.nx,connect=127.0.0.1:10,delta=1,stream=1,data=1
-
diff --git a/xorg/tests/server.sh b/xorg/tests/server.sh
deleted file mode 100755
index df6e894..0000000
--- a/xorg/tests/server.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-
-export LD_LIBRARY_PATH=$PWD
-
-#./nxagent -R -bs -dpi 96 -geometry 1024x768 -noshpix -display nx/nx,link=adsl,delta=1,stream=1,data=1,a8taint=0,cache=4M:9 :9
-
-# with cache
-#./nxagent -D -bs -ac -dpi 96 -geometry 1024x768 -noshpix -display nx/nx,link=adsl,delta=1,stream=1,data=1,cache=4M:9 :9
-
-# without cache
-./nxagent -D -bs -ac -dpi 96 -geometry 1024x768 -noshpix -display nx/nx,link=adsl,delta=1,stream=1,data=1,cache=0M:9 :9
-
diff --git a/xorg/tests/tcp_proxy/main.c b/xorg/tests/tcp_proxy/main.c
deleted file mode 100644
index 0e6f4fe..0000000
--- a/xorg/tests/tcp_proxy/main.c
+++ /dev/null
@@ -1,265 +0,0 @@
-
-#include "os_calls.h"
-
-int        g_loc_io_count = 0;  // bytes read from local port
-int        g_rem_io_count = 0;  // bytes read from remote port
-
-static int g_terminated = 0;
-static char g_buf[1024 * 32];
-
-/*****************************************************************************/
-static int
-main_loop(char* local_port, char* remote_ip, char* remote_port, int hexdump)
-{
-    int lis_sck;
-    int acc_sck;
-    int con_sck;
-    int sel;
-    int count;
-    int sent;
-    int error;
-    int i;
-    int acc_to_con;
-    int con_to_acc;
-
-    acc_to_con = 0;
-    con_to_acc = 0;
-    acc_sck = 0;
-
-    /* create the listening socket and setup options */
-    lis_sck = g_tcp_socket();
-    g_tcp_set_non_blocking(lis_sck);
-    error = g_tcp_bind(lis_sck, local_port);
-    if (error != 0)
-    {
-        g_writeln("bind failed");
-    }
-
-    /* listen for an incomming connection */
-    if (error == 0)
-    {
-        error = g_tcp_listen(lis_sck);
-        if (error == 0)
-        {
-            g_writeln("listening for connection");
-        }
-    }
-
-    /* accept an incomming connection */
-    if (error == 0)
-    {
-        while ((!g_terminated) && (error == 0))
-        {
-            acc_sck = g_tcp_accept(lis_sck);
-            if ((acc_sck == -1) && g_tcp_last_error_would_block(lis_sck))
-            {
-                g_sleep(100);
-            }
-            else if (acc_sck == -1)
-            {
-                error = 1;
-            }
-            else
-            {
-                break;
-            }
-        }
-        if (error == 0)
-        {
-            error = g_terminated;
-        }
-
-        /* stop listening */
-        g_tcp_close(lis_sck);
-        lis_sck = 0;
-        if (error == 0)
-        {
-            g_writeln("got connection");
-        }
-    }
-
-    /* connect outgoing socket */
-    con_sck = 0;
-    if (error == 0)
-    {
-        con_sck = g_tcp_socket();
-        g_tcp_set_non_blocking(con_sck);
-        error = g_tcp_connect(con_sck, remote_ip, remote_port);
-        if ((error == -1) && g_tcp_last_error_would_block(con_sck))
-        {
-            error = 0;
-            i = 0;
-            while ((!g_tcp_can_send(con_sck, 100)) && (!g_terminated) && (i < 100))
-            {
-                g_sleep(100);
-                i++;
-            }
-            if (i > 99)
-            {
-                g_writeln("timout connecting");
-                error = 1;
-            }
-            if (g_terminated)
-            {
-                error = 1;
-            }
-        }
-        if ((error != 0) && (!g_terminated))
-        {
-            g_writeln("error connecting to remote\r\n");
-        }
-    }
-    while ((!g_terminated) && (error == 0))
-    {
-        sel = g_tcp_select(con_sck, acc_sck);
-        if (sel == 0)
-        {
-            g_sleep(10);
-            continue;
-        }
-        if (sel & 1)
-        {
-            // can read from con_sck w/o blocking
-            count = g_tcp_recv(con_sck, g_buf, 1024 * 16, 0);
-            error = count < 1;
-            if (error == 0)
-            {
-                g_loc_io_count += count;
-                con_to_acc += count;
-                if (hexdump)
-                {
-                    g_writeln("from remove, the socket from connect");
-                    g_hexdump(g_buf, count);
-                }
-#if 0
-                g_writeln("local_io_count: %d\tremote_io_count: %d",
-                        g_loc_io_count, g_rem_io_count);
-#endif
-                sent = 0;
-                while ((sent < count) && (error == 0) && (!g_terminated))
-                {
-                    i = g_tcp_send(acc_sck, g_buf + sent, count - sent, 0);
-                    if ((i == -1) && g_tcp_last_error_would_block(acc_sck))
-                    {
-                        g_tcp_can_send(acc_sck, 1000);
-                    }
-                    else if (i < 1)
-                    {
-                        error = 1;
-                    }
-                    else
-                    {
-                        sent += i;
-                    }
-                }
-            }
-        }
-        if (sel & 2)
-        {
-            // can read from acc_sck w/o blocking
-            count = g_tcp_recv(acc_sck, g_buf, 1024 * 16, 0);
-            error = count < 1;
-            if (error == 0)
-            {
-                g_rem_io_count += count;
-                acc_to_con += count;
-                if (hexdump)
-                {
-                    g_writeln("from accepted, the socket from accept");
-                    g_hexdump(g_buf, count);
-                }
-#if 0
-                g_writeln("local_io_count: %d\tremote_io_count: %d",
-                        g_loc_io_count, g_rem_io_count);
-#endif
-                sent = 0;
-                while ((sent < count) && (error == 0) && (!g_terminated))
-                {
-                    i = g_tcp_send(con_sck, g_buf + sent, count - sent, 0);
-                    if ((i == -1) && g_tcp_last_error_would_block(con_sck))
-                    {
-                        g_tcp_can_send(con_sck, 1000);
-                    }
-                    else if (i < 1)
-                    {
-                        error = 1;
-                    }
-                    else
-                    {
-                        sent += i;
-                    }
-                }
-            }
-        }
-    }
-    g_tcp_close(lis_sck);
-    g_tcp_close(con_sck);
-    g_tcp_close(acc_sck);
-    g_writeln("acc_to_con %d", acc_to_con);
-    g_writeln("con_to_acc %d", con_to_acc);
-    return 0;
-}
-
-
-/*****************************************************************************/
-static int
-usage(void)
-{
-    g_writeln("tcp_proxy <local-port> <remote-ip> <remote-port> [dump]");
-    return 0;
-}
-
-
-/*****************************************************************************/
-void
-proxy_shutdown(int sig)
-{
-    g_writeln("shutting down");
-    g_terminated = 1;
-}
-
-void
-clear_counters(int sig)
-{
-    g_writeln("cleared counters at: local_io_count: %d remote_io_count: %d", 
-              g_loc_io_count, g_rem_io_count);
-    g_loc_io_count = 0;
-    g_rem_io_count = 0;
-}
-
-/*****************************************************************************/
-int
-main(int argc, char** argv)
-{
-    int dump;
-
-    if (argc < 4)
-    {
-        usage();
-        return 0;
-    }
-    g_init("tcp_proxy");
-    g_signal_user_interrupt(proxy_shutdown); /* SIGINT */
-    g_signal_kill(proxy_shutdown); /* SIGKILL */
-    g_signal_usr1(clear_counters); /* SIGUSR1*/
-    g_signal_terminate(proxy_shutdown); /* SIGTERM */
-    if (argc < 5)
-    {
-        while (!g_terminated)
-        {
-            g_loc_io_count = 0;
-            g_rem_io_count = 0;
-            main_loop(argv[1], argv[2], argv[3], 0);
-        }
-    }
-    else
-    {
-        dump = g_strcasecmp(argv[4], "dump") == 0;
-        while (!g_terminated)
-        {
-            main_loop(argv[1], argv[2], argv[3], dump);
-        }
-    }
-    g_deinit();
-    return 0;
-}
diff --git a/xorg/tests/xdemo/README.txt b/xorg/tests/xdemo/README.txt
deleted file mode 100644
index 52bda08..0000000
--- a/xorg/tests/xdemo/README.txt
+++ /dev/null
@@ -1,3 +0,0 @@
-
-this is a project to develope a program to test xwindows
-
diff --git a/xorg/tests/xdemo/bmp_parser.c b/xorg/tests/xdemo/bmp_parser.c
deleted file mode 100644
index 9d3e43c..0000000
--- a/xorg/tests/xdemo/bmp_parser.c
+++ /dev/null
@@ -1,204 +0,0 @@
-#include <stdio.h>
-#include <stdlib.h>
-#include <sys/types.h>
-#include <unistd.h>
-#include <fcntl.h>
-#include <stdint.h>
-#include "common.h"
-
-// multi byte values are stored in little endian
-
-struct bmp_magic
-{
-    char magic[2];
-};
-
-struct bmp_hdr
-{
-    uint32_t size;        // file size in bytes
-    uint16_t reserved1;
-    uint16_t reserved2;
-    uint32_t offset;      // offset to image data, in bytes
-};
-
-struct dib_hdr
-{
-    uint32_t  hdr_size;
-    int32_t   width;
-    int32_t   height;
-    uint16_t  nplanes;
-    uint16_t  bpp;
-    uint32_t  compress_type;
-    uint32_t  image_size;
-    int32_t   hres;
-    int32_t   vres;
-    uint32_t  ncolors;
-    uint32_t  nimpcolors;
-};
-
-// forward declarations
-int parse_bmp(char *filename, struct pic_info *pic_info);
-int parse_bmp_24(struct bmp_hdr *bmp_hdr, struct dib_hdr *dib_hdr, int fd, struct pic_info *pic_info);
-
-int parse_bmp(char *filename, struct pic_info *pic_info)
-{
-    int  got_magic;
-    int  fd;
-    int  rval;
-
-    struct bmp_magic   magic;
-    struct bmp_hdr     bmp_hdr;
-    struct dib_hdr     dib_hdr;
-
-    if ((fd = open(filename, O_RDONLY)) < 0) {
-        printf("error opeing %s\n", filename);
-        return -1;
-    }
-
-    // read BMP magic...
-    if ((rval = read(fd, magic.magic, 2)) != 2) {
-        fprintf(stderr, "error reading BMP signature from file %s\n", filename);
-        return -1;
-    }
-
-    got_magic = 0;
-
-    // ...and confirm that this is indeed a BMP file
-    if ((magic.magic[0] == 'B') && (magic.magic[1] == 'M')) {
-        // BM – Windows 3.1x, 95, NT, ... etc
-        got_magic = 1;
-    }
-    else if ((magic.magic[0] == 'B') && (magic.magic[1] == 'A')) {
-        // BA – OS/2 struct Bitmap Array
-        got_magic = 1;
-    }
-    else if ((magic.magic[0] == 'C') && (magic.magic[1] == 'I')) {
-        // CI – OS/2 struct Color Icon
-        got_magic = 1;
-    }
-    else if ((magic.magic[0] == 'C') && (magic.magic[1] == 'P')) {
-        // CP – OS/2 const Color Pointer
-        got_magic = 1;
-    }
-    else if ((magic.magic[0] == 'I') && (magic.magic[1] == 'C')) {
-        // IC – OS/2 struct Icon
-        got_magic = 1;
-    }
-    else if ((magic.magic[0] == 'P') && (magic.magic[1] == 'T')) {
-        // PT – OS/2 Pointer
-        got_magic = 1;
-    }
-
-    if (!got_magic) {
-        fprintf(stderr, "%s is not a valid BMP file\n", filename);
-        return -1;
-    }
-
-    // read BMP header
-    if ((rval = read(fd, &bmp_hdr, sizeof(bmp_hdr))) < sizeof(bmp_hdr)) {
-        fprintf(stderr, "error BMP header from file %s\n", filename);
-        return -1;
-    }
-
-    // read DIB header
-    if ((rval = read(fd, &dib_hdr, sizeof(dib_hdr))) < sizeof(dib_hdr)) {
-        fprintf(stderr, "error reading DIB header from file %s\n", filename);
-        return -1;
-    }
-
-#if 0
-    printf("header size:   %d\n", dib_hdr.hdr_size);
-    printf("width:         %d\n", dib_hdr.width);
-    printf("height:        %d\n", dib_hdr.height);
-    printf("num planes:    %d\n", dib_hdr.nplanes);
-    printf("bpp:           %d\n", dib_hdr.bpp);
-    printf("comp type:     %d\n", dib_hdr.compress_type);
-    printf("image size:    %d\n", dib_hdr.image_size);
-    printf("hres:          %d\n", dib_hdr.hres);
-    printf("vres:          %d\n", dib_hdr.vres);
-    printf("ncolors:       %d\n", dib_hdr.ncolors);
-    printf("nimpcolors:    %d\n", dib_hdr.nimpcolors);
-#endif
-
-    if (dib_hdr.compress_type) {
-        printf("TODO: compressed images not yet supported\n");
-        return -1;
-    }
-
-    pic_info->width = dib_hdr.width;
-    pic_info->height = dib_hdr.height;
-
-    if (dib_hdr.bpp == 24) {
-        rval = parse_bmp_24(&bmp_hdr, &dib_hdr, fd, pic_info);
-    }
-    close(fd);
-    return rval;
-}
-
-/**
- * extract 24bit BMP data from image file
- *
- * @return 0 on success
- * @return -1 on failure
- */
-
-int parse_bmp_24(
-    struct bmp_hdr  *bmp_hdr,
-    struct dib_hdr  *dib_hdr,
-    int             fd,
-    struct pic_info *pic_info
-)
-{
-    char *file_data;
-    char *ptr_file_data;
-    char *mem_data;
-    char *ptr_mem_data;
-    char *cptr;
-
-    int  w = dib_hdr->width;    // picture width
-    int  h = dib_hdr->height;   // picture height
-    int  bpl;                   // bytes per line
-    int  bytes;
-    int  i;
-    int  j;
-
-    // bytes per image line = width x bytes_per_pixel + padding
-    i = (w * 3) % 4;
-    j = (i == 0) ? 0 : 4 - i;
-    bpl = w * 3 + j;
-
-    // 24 bit depth, no alpha channel
-    file_data = (char *) malloc(h * bpl);
-
-    // point to first line in image data, which is stored in reverse order
-    ptr_file_data = (file_data + dib_hdr->image_size) - bpl;
-
-    // 24 bit depth, with alpha channel
-    mem_data  = (char *) malloc(w * h * 4);
-    ptr_mem_data = mem_data;
-
-    pic_info->pixel_data = ptr_mem_data;
... 733 lines suppressed ...

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-remote/packages/xrdp.git



More information about the Pkg-remote-team mailing list